aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorHans-Peter Nilsson <hp@axis.com>2005-06-06 05:59:07 +0000
committerHans-Peter Nilsson <hp@gcc.gnu.org>2005-06-06 05:59:07 +0000
commit7721d5d4cbf97af942031e4e2b909808a1fef78f (patch)
tree51f21b3363748c2011f1d9403bf72f41af34975b /contrib
parente7700967a14bb1c875e84da7581a6b23e82a93e0 (diff)
downloadgcc-7721d5d4cbf97af942031e4e2b909808a1fef78f.zip
gcc-7721d5d4cbf97af942031e4e2b909808a1fef78f.tar.gz
gcc-7721d5d4cbf97af942031e4e2b909808a1fef78f.tar.bz2
btest-gcc.sh: Don't pass --with-newlib when target is "*-linux*".
* btest-gcc.sh <Build>: Don't pass --with-newlib when target is "*-linux*". From-SVN: r100649
Diffstat (limited to 'contrib')
-rw-r--r--contrib/regression/ChangeLog3
-rwxr-xr-xcontrib/regression/btest-gcc.sh8
2 files changed, 9 insertions, 2 deletions
diff --git a/contrib/regression/ChangeLog b/contrib/regression/ChangeLog
index cb5c802a..c77a758 100644
--- a/contrib/regression/ChangeLog
+++ b/contrib/regression/ChangeLog
@@ -1,5 +1,8 @@
2005-06-06 Hans-Peter Nilsson <hp@axis.com>
+ * btest-gcc.sh <Build>: Don't pass --with-newlib when target is
+ "*-linux*".
+
* btest-gcc.sh (TESTLOGS): Make libstdc++.sum optional.
2004-11-07 James A. Morrison <phython@gcc.gnu.org>
diff --git a/contrib/regression/btest-gcc.sh b/contrib/regression/btest-gcc.sh
index 512609b..7a704e6 100755
--- a/contrib/regression/btest-gcc.sh
+++ b/contrib/regression/btest-gcc.sh
@@ -110,8 +110,12 @@ if [ $H_HOST = $H_TARGET ] ; then
make all || exit 1
fi
else
- $SOURCE/configure --prefix=$PREFIX --target=$H_TARGET \
- --with-gnu-ld --with-gnu-as --with-newlib || exit 1
+ withopt="--with-gnu-ld --with-gnu-as"
+ case "$H_TARGET" in
+ *-linux*) ;;
+ *) withopt="$withopt --with-newlib";;
+ esac
+ $SOURCE/configure --prefix=$PREFIX --target=$H_TARGET $withopt || exit 1
make || exit 1
fi
echo error > $RESULT || exit 1